import { TUIUserInfo } from '../../services';

export default function useRoomInvite(): {
    t: any;
    isRoomLinkVisible: import('vue').Ref<boolean, boolean>;
    roomId: import('vue').Ref<string, string>;
    origin: string;
    pathname: string;
    isElectron: boolean;
    inviteLink: import('vue').ComputedRef<string>;
    schemeLink: import('vue').ComputedRef<string>;
    inviteBarTitle: import('vue').ComputedRef<any>;
    onCopy: (value: string | number) => Promise<void>;
    visibleInviteContentList: import('vue').ComputedRef<{
        id: number;
        mobileTitle: string;
        pcTitle: string;
        content: string;
        copyLink: string;
        visible: boolean;
    }[]>;
    invitationFeatureDetails: import('vue').Ref<{
        icon: import('vue').DefineComponent<{}, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        text: string;
        function: () => void;
    }[], {
        icon: import('vue').DefineComponent<{}, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        text: string;
        function: () => void;
    }[] | {
        icon: import('vue').DefineComponent<{}, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        text: string;
        function: () => void;
    }[]>;
    showContacts: import('vue').Ref<boolean, boolean>;
    contactsConfirm: (contacts: TUIUserInfo[]) => Promise<void>;
    contacts: import('vue').Ref<never[], never[]>;
    remoteEnteredUserList: import('vue').ComputedRef<import('../../stores/room').UserInfo[]>;
    showRoomInvite: import('vue').Ref<boolean, boolean>;
    userId: import('vue').Ref<string, string>;
    userName: import('vue').Ref<string, string>;
    conferenceInviteList: import('vue').ComputedRef<{
        title: string;
        content: string;
        isShowCopyIcon: boolean;
        isVisible: boolean;
    }[]>;
    copyRoomIdAndRoomLink: () => void;
};
